## uci2wb 2.0+git141223

=== Makefile ===
srcdir = .

CC?=gcc
CFLAGS?= -O2 -s
LDFLAGS?= -lpthread
VERSION?=`grep 'define VERSION' UCI2WB.c | sed -e 's/.*"\(.*\)".*/\1/'`

ALL= uci2wb uci2wb.6.gz

all: ${ALL}

uci2wb: UCI2WB.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) UCI2WB.c -o uci2wb

install: ${ALL}
	install -d -m0755 $(DESTDIR)/usr/games
	cp -u ${srcdir}/uci2wb $(DESTDIR)/usr/games
	install -d -m0755 $(DESTDIR)/usr/share/man/man6
	cp -u ${srcdir}/uci2wb.6.gz $(DESTDIR)/usr/share/man/man6

uci2wb.6.gz: uci2wb.pod
	pod2man -s 6 uci2wb.pod | gzip -9n > uci2wb.6.gz

clean:
	rm -f ${ALL}

dist-clean:
	rm -f ${ALL} *~ md5sums

dist:
	install -d -m0755 UCI2WB
	rm -f uci2wb.tar uci2wb.tar.gz
	cp UCI2WB.c UCI2WB.rc rosetta.ico uci2wb.pod Makefile README.txt UCI2WB
	md5sum UCI2WB/* > UCI2WB/md5sums
	tar -cvvf uci2wb-$(VERSION).tar UCI2WB
	gzip uci2wb-$(VERSION).tar
	rm UCI2WB/*
	rmdir UCI2WB

uninstall:
	rm -f $(DESTDIR)/usr/share/man/man6/uci2wb.6.gz
	rm -f $(DESTDIR)/usr/games/uci2wb

=== debian/changelog ===
uci2wb (2.0+git141223-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fix ld arguments ordering causing failure when "ld --as-needed"
    is used (Logan Rosen, Closes: #773268).

 -- Yann Dirson <dirson@debian.org>  Sun, 04 Jan 2015 12:42:56 +0100

uci2wb (2.0-1) unstable; urgency=low

  * Initial release (Closes: #770509)

 -- Yann Dirson <dirson@debian.org>  Sat, 13 Dec 2014 22:08:58 +0100

=== debian/control ===
Source: uci2wb
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), dh-buildinfo, perl
Standards-Version: 3.9.6
Homepage: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=uci2wb.git
Vcs-Git: git://anonscm.debian.org/collab-maint/uci2wb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uci2wb.git;a=summary

Package: uci2wb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gpsshogi | eleeye, xboard | eboard | tagua
Description: protocol adapter between XBoard/CECP and UCI/USI/UCCI engines
 This adapter allows a GUI using the Chess Engine Control Protocol
 (aka. CECP, or XBoard protocol) to communicate with computer players
 using USI (Universal Shogi Interface) or UCCI (Universal Chinese
 Chess Interface) protocols.
 .
 It also support the UCI (Universal Chess Interface) protocol, but for
 this one the "polyglot" package is a recommended alternative from the
 same author.

Package: uci2wb-dbg
Architecture: any
Section: debug
Priority: extra
Depends: uci2wb (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for uci2wb
 This package contains debug symbols for the uci2wb protocol adapter.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

LDFLAGS += -lpthread

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export DEB_LDFLAGS_MAINT_APPEND = -lpthread


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=uci2wb-dbg

override_dh_installdocs:
	dh_installdocs
	dh_buildinfo

## uci2wb 2.0+git160404

=== debian/changelog ===
uci2wb (2.0+git160404-1) unstable; urgency=medium

  * New upstream snapshot, adding Chess960 support.
  * Migrate debug symbols to dbgsym.

 -- Yann Dirson <dirson@debian.org>  Sun, 21 Aug 2016 16:58:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=uci2wb-dbg
+	dh_strip --dbgsym-migration='uci2wb-dbg (<< 2.0+git160404-1)'
 
 override_dh_installdocs:
 	dh_installdocs

## uci2wb 2.3

=== debian/changelog ===
uci2wb (2.3-1) unstable; urgency=medium

  * New upstream version:
    * dropped "ld --as-needed" patch, integrated upstream
  * Adjust README.maint upstream-tarball generation command.

 -- Yann Dirson <dirson@debian.org>  Sun, 13 Aug 2017 12:01:54 +0200

=== debian/control ===
--- 
+++ 
@@ -21,11 +21,3 @@
  It also support the UCI (Universal Chess Interface) protocol, but for
  this one the "polyglot" package is a recommended alternative from the
  same author.
-
-Package: uci2wb-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: uci2wb (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for uci2wb
- This package contains debug symbols for the uci2wb protocol adapter.

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 %:
 	dh $@ 
 
+override_dh_auto_install:
+	dh_auto_install -- prefix=/usr bindir=/usr/games
+
 override_dh_install:
 	dh_install --fail-missing

## uci2wb 2.3+git180131

=== debian/changelog ===
uci2wb (2.3+git180131-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Yann Dirson <dirson@debian.org>  Sat, 10 Mar 2018 17:06:19 +0100

## uci2wb 4.0

=== Makefile ===
srcdir = .
prefix = /usr/local
exec_prefix=$(prefix)
bindir=$(exec_prefix)/bin
datadir=$(prefix)/share

CC?=gcc
CFLAGS?= -O2 -s
LDFLAGS?= -lpthread
VERSION?=`grep 'define VERSION' UCI2WB.c | sed -e 's/.*"\(.*\)".*/\1/'`

ALL= uci2wb uci2wb.6.gz

all: ${ALL}

uci2wb: UCI2WB.c
	$(CC) $(CFLAGS) $(CPPFLAGS) UCI2WB.c -o uci2wb $(LDFLAGS)

install: ${ALL}
	install -d -m0755 $(DESTDIR)$(bindir)
	cp -u ${srcdir}/uci2wb $(DESTDIR)$(bindir)
	install -d -m0755 $(DESTDIR)$(datadir)/man/man6
	cp -u ${srcdir}/uci2wb.6.gz $(DESTDIR)$(datadir)/man/man6
	xboard -ncp -uxiAdapter {uci2wb -%variant "%fcp" "%fd"} -autoClose || true

uci2wb.6.gz: uci2wb.pod
	pod2man -s 6 uci2wb.pod | gzip -9n > uci2wb.6.gz

clean:
	rm -f ${ALL}

dist-clean:
	rm -f ${ALL} *~ md5sums

dist:
	install -d -m0755 UCI2WB
	rm -f uci2wb.tar uci2wb.tar.gz
	cp UCI2WB.c UCI2WB.rc rosetta.ico uci2wb.pod Makefile README.txt UCI2WB
	md5sum UCI2WB/* > UCI2WB/md5sums
	tar -cvvf uci2wb-$(VERSION).tar UCI2WB
	gzip uci2wb-$(VERSION).tar
	rm UCI2WB/*
	rmdir UCI2WB

uninstall:
	rm -f $(DESTDIR)$(datadir)/man/man6/uci2wb.6.gz
	rm -f $(DESTDIR)$(bindir)/uci2wb

=== debian/changelog ===
uci2wb (4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcx-* for salsa.

 -- Yann Dirson <dirson@debian.org>  Sun, 09 Dec 2018 12:40:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 9), dh-buildinfo, perl
 Standards-Version: 3.9.6
 Homepage: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=uci2wb.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/uci2wb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/uci2wb.git;a=summary
+Vcs-git: https://salsa.debian.org/debian/uci2wb.git
+Vcs-browser: https://salsa.debian.org/debian/uci2wb
 
 Package: uci2wb
 Architecture: any

## uci2wb 4.1%2Bgit200714

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,13 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr bindir=/usr/games
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='uci2wb-dbg (<< 2.0+git160404-1)'

## uci2wb 4.1+git200714

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 datadir=$(prefix)/share
 
 CC?=gcc
-CFLAGS?= -O2 -s
+CFLAGS?= -O2 -s -Wall -Wno-parentheses
 LDFLAGS?= -lpthread
 VERSION?=`grep 'define VERSION' UCI2WB.c | sed -e 's/.*"\(.*\)".*/\1/'`

=== debian/changelog ===
uci2wb (4.1+git200714-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Merge upstream branch into master
  * Fix FTBFS with GCC-15 (Closes: #1098023)

  [ Gioele Barabucci ]
  * Move Debian packaging into debian/ (Closes: #1094877)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 01:11:13 +0200

uci2wb (4.1+git200714-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually stop calling dh_buildinfo. (Closes: #1089904)
    Thanks: Santiago Vila.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 17 Dec 2024 21:58:30 +0100

uci2wb (4.1+git200714-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use strcasestr from libc instead of redefining it.
    Fixes FTBFS. (Closes: #1071727)
  * Stop using obsolete dh-buildinfo (Closes: #1089904)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 14 Dec 2024 15:26:22 +0100

uci2wb (4.1+git200714-1) unstable; urgency=medium

  * New upstream snapshot, fixes USI mode.

 -- Yann Dirson <dirson@debian.org>  Tue, 14 Jul 2020 13:03:59 +0200

uci2wb (4.1+git200420-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to debhelper compat 12, use dh_missing and debhelper-compat.
  * Bump Standards-Version to 4.5.0.
  * Declare Rules-Requires-Root: no.

 -- Yann Dirson <dirson@debian.org>  Sat, 04 Jul 2020 00:40:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, perl
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 12), perl
+Standards-Version: 4.5.0
 Homepage: http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=uci2wb.git
 Vcs-git: https://salsa.debian.org/debian/uci2wb.git
 Vcs-browser: https://salsa.debian.org/debian/uci2wb
+Rules-Requires-Root: no
 
 Package: uci2wb
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,3 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='uci2wb-dbg (<< 2.0+git160404-1)'
 
-override_dh_installdocs:
-	dh_installdocs
-	dh_buildinfo

=== debian/watch ===
# WARNING: you don't want to --download this, the URL does not point
# to a tarball.  This is only for monitoring of upstream git tags.

version=3
http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=uci2wb.git;a=tags \
  /cgi-bin/gitweb.cgi\?p=uci2wb.git;a=shortlog;h=refs/tags/v(.+)
